---
layout: post
status: publish
published: true
author:
  display_name: dcodernz
  login: dcodernz
  email: no-reply@thh.com
  url: http://www.thheuer.com
author_login: dcodernz
author_email: no-reply@thh.com
author_url: http://www.thheuer.com
categories:
- Howto
tags: [Howto,Open Source,Money,Bounty,Source,Open]
comments: []
date: "2014-06-24"
title: "Howto make money with open source"
---

## [Bounty Source](https://www.bountysource.com)
Open Source is great. You can use high quality software that you can trust and all that for free. However, Open Source developers have to live as well. So, I was researching how one can make money by improving Open Source Software. Turns out, there are ways to do that.

In fact, I am an Open Source developer and I make a living with it. My employer, [Landcare Research](http://www.landcareresearch.co.nz) is a big contributor. We pay people on some Open Source projects to improve the software that is essentially free and I am getting paid (at least part of my time) to develop and improve Open Source software.

I also use my free time to help on Open Source projects, although, sometimes I ask myself: "Why do I do that?". I usually don't get paid to do that. It just gives me a sense of satisfaction because I love what I do.

However, I thought to myself: "We can do better than this!". There must be a way to turn all that hard work into a good living, because not everyone can write good software. In fact it is a rare skill. And I believe a lot of OSS developers certainly wouldn't mind making a few extra bucks, not only because it is nice to make money with what you love, but also to pay the bills and be able to concentrate more on the thing you love: Writing high quality OSS.

[Bounty Source](https://www.bountysource.com) is a site that I found that seems promising. It enables users to put a bounty onto an OSS issue, for example on [GitHub](https://github.com).

"OK", I thought, that's great and did a bit of searching. None of the projects that I am working on seem to have bounties on them. In fact, there were hardly any bounties on anything. So, I decided to promote [Bounty Source](https://www.bountysource.com) on my website. Hey, maybe you know a site that does something similar or the same that is even better. However, I liked some of their ideas:

It doesn't cost anything to offer bounties and it doesn't cost anything to receive them. The main payment options are available. It only costs something to withdraw money that one has given, and then only 10%. This is good, because otherwise they would probaby get a lot of people offering and then immediately withdrawing.

So, if you find a bug in a software that I am involved with or anything you think I could fix or may be interested in, consider putting a bounty on the GitHub issue and posting a comment here.

You can find a list of projects that I am involved with @ [GitHub/geekdenz](https://github.com/geekdenz). I look forward to fixing your bugs! ;-)
